"Gem loading error: cannot load such file -- smart_proxy" on startup under bundler_ext

11/20/2015 03:09 AM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee:    

Category: Core   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/342

  

Description

Since #12146, the smart proxy Debian and RPM packages are failing to start up under bundler_ext.  Under plain Bundler it seems

fine.

Note that the gemspec is missing from our packages at the moment, you need to put it into /usr/share/foreman-proxy to see this.

# sudo -u foreman-proxy /usr/share/foreman-proxy/bin/smart-proxy

Attempting to require smart_proxy

/usr/lib/ruby/vendor_ruby/bundler_ext/output.rb:12:in `strict_err': Gem loading error: cannot load

 such file -- smart_proxy (RuntimeError)

        from /usr/lib/ruby/vendor_ruby/bundler_ext/runtime.rb:50:in `rescue in block in system_req

uire'

        from /usr/lib/ruby/vendor_ruby/bundler_ext/runtime.rb:39:in `block in system_require'

        from /usr/lib/ruby/vendor_ruby/bundler_ext/runtime.rb:37:in `each'

        from /usr/lib/ruby/vendor_ruby/bundler_ext/runtime.rb:37:in `system_require'

        from /usr/lib/ruby/vendor_ruby/bundler_ext.rb:21:in `block in system_require'

        from /usr/lib/ruby/vendor_ruby/bundler_ext.rb:16:in `each'

        from /usr/lib/ruby/vendor_ruby/bundler_ext.rb:16:in `system_require'

        from /usr/share/foreman-proxy/lib/bundler_helper.rb:22:in `require_groups'

        from /usr/share/foreman-proxy/lib/smart_proxy_main.rb:31:in `<top (required)>'

        from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `require'

        from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `require'

        from /usr/share/foreman-proxy/bin/smart-proxy:5:in `<main>'

 The smart proxy attempts to require the "default" bundler group.  This requires "smart_proxy", but it fails as the file doesn't exist.  I'm

not sure what's different about a plain Bundler setup - possibly it silently ignores LoadErrors for smart_proxy?

Related issues:

Related to Smart Proxy - Bug #12146: core gem dependencies are defined in bot... Closed 10/13/2015

Associated revisions

Revision 59809c6c - 11/20/2015 09:18 AM - Dmitri Dolguikh 

Fixes #12546: smart-proxy now loads under bundler_ext

History

#1 - 11/20/2015 03:09 AM - Dominic Cleal

- Related to Bug #12146: core gem dependencies are defined in both Gemfile and gemspec files. added

#2 - 11/20/2015 07:24 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/smart-proxy/pull/342 added
#3 - 11/20/2015 09:19 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#4 - 11/20/2015 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 59809c6cbbaa8d7e26195f7b2f90437dbd0d4de4.
